
Redmine - Defect #26563

ActionView::Template::Error Accessing to LDAP configuration

2017-07-28 08:37 - pacolotero pacolotero

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.3.3

Description

Accesing to Administration -> LDAP authentication -> My Ldap Organization i get next error:

Started GET "/auth_sources/1/edit" for 81.43.32.194 at 2017-07-28 08:26:00 +0200

Processing by AuthSourcesController#edit as HTML

  Parameters: {"id"=>"1"}

  Current user: agalisteo (id=35)

  Rendered auth_sources/_form_auth_source_ldap.html.erb (30.2ms)

  Rendered auth_sources/edit.html.erb within layouts/admin (31.6ms)

Completed 500 Internal Server Error in 175ms (ActiveRecord: 133.0ms)

ActionView::Template::Error (private method `timeout' called for #<AuthSourceLdap:0x005567abbf4128

>

Did you mean?  timeout=

               timeout?):

    12:            :onchange => "this.name='auth_source[account_password]';" %></p>

    13:   <p><%= f.text_field :base_dn, :required => true, :size => 60 %></p>

    14:   <p><%= f.text_area :filter, :size => 60, :label => :field_auth_source_ldap_filter %></p>

    15:   <p><%= f.text_field :timeout, :size => 4 %></p>

    16:   <p><%= f.check_box :onthefly_register, :label => :field_onthefly %></p>

    17: </div>

    18: 

  lib/redmine/views/labelled_form_builder.rb:31:in `text_field'

  app/views/auth_sources/_form_auth_source_ldap.html.erb:15:in `_app_views_auth_sources__form_auth

_source_ldap_html_erb___2279895477480212392_46951877349980'

  app/views/auth_sources/edit.html.erb:4:in `block in _app_views_auth_sources_edit_html_erb___2140

026764370812182_46951877567740'

  app/helpers/application_helper.rb:1051:in `labelled_form_for'

  app/views/auth_sources/edit.html.erb:3:in `_app_views_auth_sources_edit_html_erb___2140026764370

812182_46951877567740'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 My environment:

Environment:

  Redmine version                3.3.3.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Git                            2.7.4

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.1

  redmine_backlogs               v1.0.6

  redmine_checklists             3.1.5

  redmine_contacts               4.0.4

  redmine_contacts_helpdesk      3.0.4

  redmine_contacts_invoices      4.1.1

  redmine_finance                2.1.1
  redmine_people                 1.2.0

  redmine_products               2.0.1

History

#1 - 2017-07-28 15:51 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce.

Environment:

  Redmine version                3.3.4.stable

  Ruby version                   2.3.4-p301 (2017-03-30) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               SQLite

SCM:

  Subversion                     1.7.14

  Mercurial                      2.8.2

  Git                            1.8.3.1

  Filesystem                     

Redmine plugins:

  no plugin installed

 Test covers it.

source:tags/3.3.4/test/functional/auth_sources_controller_test.rb

#2 - 2017-07-31 18:18 - Holger Just

The timeout field for LDAP Auth was added in #8978 for Redmine 2.1. If you have upgraded your Redmine from a previous version, make sure that

you have run all migrations.

Please see RedmineUpgrade for details.

#3 - 2023-01-05 09:59 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.3.4/test/functional/auth_sources_controller_test.rb
https://www.redmine.org/issues/8978
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade#Step-4-Update-the-database
http://www.tcpdf.org

